Intel Wifi Card Stopped Working After Software Update

Перед обновлением программного обеспечения работал мой адаптер Wi-Fi. Я подозревал аппаратную проблему, но когда я вставил Wi-Fi загрузочного диска usb, работает в "Попытке Ubuntu" сессия, таким образом, это не аппаратная проблема.

Моя клавиатура не имеет переключателя Wi-Fi или переключателя.

Я попробовал все в этом сообщении Intel Wifi Card, не работающий над Ubuntu, которая кажется той же проблемой как мой. Однако предложения в этом сообщении не решили мою проблему.

Я размещаю запрошенную информацию о своем адаптере Wi-Fi, встроенном микропрограммном обеспечении и ядре

$ lspci -nn | grep -i network
00:14.3 Network controller [0280]: Intel Corporation Device [8086:02f0]

$ uname -r
5.3.0-40-generic

$ iwconfig
lo        no wireless extensions.
enp0s20f0u4  no wireless extensions.

$ sudo lshw -C network
  *-network                 
       description: Network controller
       product: Intel Corporation
       vendor: Intel Corporation
       physical id: 14.3
       bus info: pci@0000:00:14.3
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix bus_master cap_list
       configuration: driver=iwlwifi latency=0
       resources: irq:16 memory:64314000-64317fff
  *-network
       description: Ethernet interface
       physical id: 2
       bus info: usb@1:4
       logical name: enp0s20f0u4
       serial: ca:03:be:3f:c1:53
       capabilities: ethernet physical
       configuration: broadcast=yes driver=rndis_host driverversion=22-Aug-2005 firmware=RNDIS device ip=192.168.42.183 link=yes multicast=yes

$ dmesg | grep -i firm
[    1.488471] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x4d5f01)
[    2.416593] iwlwifi 0000:00:14.3: loaded firmware version 48.4fa0041f.0 op_mode iwlmvm
[    2.503685] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
[    2.548323] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    2.550570] Bluetooth: hci0: Found device firmware: intel/ibt-19-0-1.sfi
[    3.516710] iwlwifi 0000:00:14.3: Loaded firmware version: 48.4fa0041f.0
[    3.517013] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
[    4.106725] Bluetooth: hci0: Waiting for firmware download to complete
[    4.107273] Bluetooth: hci0: Firmware loaded in 1524482 usecs

Кроме того, я также проверил /var/log/apt/history.log файл для наблюдения, что обновляется менеджером обновления Здесь, является результатом

Start-Date: 2020-02-18  19:30:46
Commandline: aptdaemon role='role-commit-packages' sender=':1.650'
Install: 
linux-image-5.3.0-40-generic:amd64 (5.3.0-40.32, automatic), linux-modules-extra-5.3.0-40-generic:amd64 (5.3.0-40.32, automatic), linux-headers-5.3.0-40-generic:amd64 (5.3.0-40.32, automatic), 
linux-headers-5.3.0-40:amd64 (5.3.0-40.32, automatic), 
linux-modules-5.3.0-40-generic:amd64 (5.3.0-40.32, automatic)

Upgrade: 
libpam0g:amd64 (1.3.1-5ubuntu1.19.10.0, 1.3.1-5ubuntu1.19.10.1), 
bluez:amd64 (5.50-0ubuntu4, 5.50-0ubuntu5), 
poppler-utils:amd64 (0.80.0-0ubuntu1, 0.80.0-0ubuntu1.1), 
gir1.2-nm-1.0:amd64 (1.20.4-2ubuntu2, 1.20.4-2ubuntu2.2), 
linux-headers-generic:amd64 (5.3.0.29.33, 5.3.0.40.34), 
linux-libc-dev:amd64 (5.3.0-29.31, 5.3.0-40.32), 
libpam-modules:amd64 (1.3.1-5ubuntu1.19.10.0, 1.3.1-5ubuntu1.19.10.1), 
bluez-cups:amd64 (5.50-0ubuntu4, 5.50-0ubuntu5), 
linux-image-generic:amd64 (5.3.0.29.33, 5.3.0.40.34), 
libpoppler-qt5-1:amd64 (0.80.0-0ubuntu1, 0.80.0-0ubuntu1.1), 
google-chrome-stable:amd64 (79.0.3945.130-1, 80.0.3987.106-1), 
libnm0:amd64 (1.20.4-2ubuntu2, 1.20.4-2ubuntu2.2),
libpam-runtime:amd64 (1.3.1-5ubuntu1.19.10.0, 1.3.1-5ubuntu1.19.10.1), network-manager:amd64 (1.20.4-2ubuntu2, 1.20.4-2ubuntu2.2),
apport:amd64 (2.20.11-0ubuntu8.2, 2.20.11-0ubuntu8.4), 
python3-apport:amd64 (2.20.11-0ubuntu8.2, 2.20.11-0ubuntu8.4), 
dmidecode:amd64 (3.2-2, 3.2-2ubuntu0.1), 
libwebkit2gtk-4.0-37:amd64 (2.26.3-0ubuntu0.19.10.1, 2.26.4-0ubuntu0.19.10.1), libpam-modules-bin:amd64 (1.3.1-5ubuntu1.19.10.0, 1.3.1-5ubuntu1.19.10.1),
libfwupd2:amd64 (1.2.10-1ubuntu3, 1.2.10-1ubuntu4), 
fwupd-signed:amd64 (1.10.1+1.2.10-1ubuntu3, 1.10.2+1.2.10-1ubuntu4), 
bsdutils:amd64 (1:2.34-0.1ubuntu2.1, 1:2.34-0.1ubuntu2.2), network-manager-config-connectivity-ubuntu:amd64 (1.20.4-2ubuntu2, 1.20.4-2ubuntu2.2), bluez-obexd:amd64 (5.50-0ubuntu4, 5.50-0ubuntu5), 
apport-gtk:amd64 (2.20.11-0ubuntu8.2, 2.20.11-0ubuntu8.4), 
fwupd:amd64 (1.2.10-1ubuntu3, 1.2.10-1ubuntu4), 
gir1.2-webkit2-4.0:amd64 (2.26.3-0ubuntu0.19.10.1, 2.26.4-0ubuntu0.19.10.1), linux-firmware:amd64 (1.183.3, 1.183.4), 
libpoppler-cpp0v5:amd64 (0.80.0-0ubuntu1, 0.80.0-0ubuntu1.1), 
libbluetooth3:amd64 (5.50-0ubuntu4, 5.50-0ubuntu5), 
libpoppler-glib8:amd64 (0.80.0-0ubuntu1, 0.80.0-0ubuntu1.1),
libpoppler90:amd64 (0.80.0-0ubuntu1, 0.80.0-0ubuntu1.1), libjavascriptcoregtk-4.0-18:amd64 (2.26.3-0ubuntu0.19.10.1, 2.26.4-0ubuntu0.19.10.1), linux-generic:amd64 (5.3.0.29.33, 5.3.0.40.34), python3-problem-report:amd64 (2.20.11-0ubuntu8.2, 2.20.11-0ubuntu8.4), 
xdg-desktop-portal:amd64 (1.4.2-2, 1.4.2-2ubuntu1), 
gir1.2-javascriptcoregtk-4.0:amd64 (2.26.3-0ubuntu0.19.10.1, 2.26.4-0ubuntu0.19.10.1)
End-Date: 2020-02-18  19:32:39

Править:

$ modinfo iwlwifi | egrep 'filename|intree'

filename:       /lib/modules/5.3.0-40-generic/kernel/drivers/net/wireless/intel/iwlwifi/iwlwifi.ko
intree:         Y

$ rfkill list
0: hci0: Bluetooth
    Soft blocked: no
    Hard blocked: no

Вывод dmesg | grep iwl https://paste.ubuntu.com/p/gp6wWYR7tj/

0
задан 19 February 2020 в 15:56

1 ответ

Та же проблема здесь, я понизил ядро, и проблема была решена на данный момент. Поиск обновлений...

0
ответ дан 19 February 2020 в 22:12

Другие вопросы по тегам:

Похожие вопросы: